import java.util.Vector;

/**
 * This is a sample predictor for the prediction challenge.  It maintains
 * no state between games other than a count of the number of games in the
 * current set (against the same competitors), and it creates a new instance
 * of a SamplePredictorAgent for each game.  
 *
 */
public class SamplePredictor implements SCMPredictor{
	
	private SamplePredictorAgent agent;
	private int gamesInCurrentSet = 0;
	
	/**
	 * called by the parser when a new game begins
	 */
	public void nextGame(boolean newAgents){
		//create a new prediction agent 
		agent = new SamplePredictorAgent();
		if (newAgents) //the game represents a new set of games against new competitors
			gamesInCurrentSet = 0;
		gamesInCurrentSet++;
	}
	
	/**
	 * called by the parser on each new game day
	 */
	public void nextDay(Vector messagesIn, Vector messagesOut, PredictionObject predictions){
		agent.nextDay(messagesIn, messagesOut, predictions);
	}
 
}
